package org.jboss.devconf;

import org.jbpm.api.Configuration;
import org.jbpm.api.NewDeployment;
import org.jbpm.api.ProcessEngine;

public class DeployProcess {

	public static void main(String[] args) {

		Configuration jbpmConfiguration = new Configuration();

		ProcessEngine engine = jbpmConfiguration.buildProcessEngine();

		NewDeployment deployment = engine.getRepositoryService().createDeployment();
		deployment.addResourceFromClasspath("OrderProcess.jpdl.xml");
		deployment.addResourceFromClasspath("OrderProcess.png");
		deployment.addResourceFromClasspath("OrderProcess.ftl");
		deployment.deploy();

	}

}
